#include <iostream>
#include <stdexcept>

void sillyFunction(int x) {
	if (x < 0) {
		throw std::runtime_error("x is negative");
	}
}

int main() {
	try {
		std::cout << "Before\n";
		sillyFunction(-7);
		std::cout << "After\n";
	} catch (std::runtime_error& ex) {
		std::cout << "Runtime error: " << ex.what() << '\n';
	}
	std::cout << "After try block\n";
}
