#include <iostream>
#include <stdexcept>

class SomeException {};
class OtherException {};

void handleException() {
	try {
		throw;
	} catch (SomeException&) {
		std::cout << "SomeException\n";
	} catch (OtherException&) {
		std::cout << "OtherException\n";
	}
}

int main() {
	try {
		throw SomeException();
	} catch (...) {
		handleException();
	}
}
