#include <fstream>
#include <iostream>
#include <stdexcept>

int main() {
	try {
		std::ifstream input("/tmp/nonexistent_file.txt");
		input.exceptions(std::ios_base::failbit | std::ios_base::badbit);
	} catch (std::ios_base::failure& ex) {
		std::cout << "I/O exception: " << ex.what() << "\n";
	}
}
